## org.mariadb.jdbc.internal.com.read.dao
Class CmdInformationSingle

    java.lang.Object
      org.mariadb.jdbc.internal.com.read.dao.CmdInformationSingle

All Implemented Interfaces:
  CmdInformation

    public class CmdInformationSingle

extends Object
implements CmdInformation

Field Summary

Fields inherited from interface org.mariadb.jdbc.internal.com.read.dao.CmdInformation
`RESULT_SET_VALUE`

Constructor Summary
`CmdInformationSingle(long insertId, long updateCount, int autoIncrement)` Object containing update / insert ids, optimized for only one result.

Method Summary
`void` `addErrorStat()`
`void` `addResultSetStat()`
`void` `addSuccessStat(long updateCount, long insertId)`
`ResultSet` `getBatchGeneratedKeys(Protocol protocol)`
`int` `getCurrentStatNumber()`
`ResultSet` `getGeneratedKeys(Protocol protocol)` Get generated Keys.
`long` `getLargeUpdateCount()`
`long[]` `getLargeUpdateCounts()`
`long[]` `getRewriteLargeUpdateCounts()`
`int[]` `getRewriteUpdateCounts()`
`int` `getUpdateCount()`
`int[]` `getUpdateCounts()`
`boolean` `isCurrentUpdateCount()`
`boolean` `moreResults()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CmdInformationSingle

    public CmdInformationSingle(long insertId,
                                long updateCount,
                                int autoIncrement)

  Object containing update / insert ids, optimized for only one result.

  Parameters:
    `insertId` - auto generated id.
    `updateCount` - update count
    `autoIncrement` - connection auto increment value.

Method Detail

### getUpdateCounts

    public int[] getUpdateCounts()

  Specified by:
    `getUpdateCounts` in interface `CmdInformation`

### getLargeUpdateCounts

    public long[] getLargeUpdateCounts()

  Specified by:
    `getLargeUpdateCounts` in interface `CmdInformation`

### getUpdateCount

    public int getUpdateCount()

  Specified by:
    `getUpdateCount` in interface `CmdInformation`

### getLargeUpdateCount

    public long getLargeUpdateCount()

  Specified by:
    `getLargeUpdateCount` in interface `CmdInformation`

### addErrorStat

    public void addErrorStat()

  Specified by:
    `addErrorStat` in interface `CmdInformation`

### addResultSetStat

    public void addResultSetStat()

  Specified by:
    `addResultSetStat` in interface `CmdInformation`

### getGeneratedKeys

    public ResultSet getGeneratedKeys(Protocol protocol)

  Get generated Keys.

  Specified by:
    `getGeneratedKeys` in interface `CmdInformation`
  Parameters:
    `protocol` - current protocol
  Returns:
    a resultSet containing the single insert ids.

### getBatchGeneratedKeys

    public ResultSet getBatchGeneratedKeys(Protocol protocol)

  Specified by:
    `getBatchGeneratedKeys` in interface `CmdInformation`

### getCurrentStatNumber

    public int getCurrentStatNumber()

  Specified by:
    `getCurrentStatNumber` in interface `CmdInformation`

### moreResults

    public boolean moreResults()

  Specified by:
    `moreResults` in interface `CmdInformation`

### isCurrentUpdateCount

    public boolean isCurrentUpdateCount()

  Specified by:
    `isCurrentUpdateCount` in interface `CmdInformation`

### getRewriteUpdateCounts

    public int[] getRewriteUpdateCounts()

  Specified by:
    `getRewriteUpdateCounts` in interface `CmdInformation`

### getRewriteLargeUpdateCounts

    public long[] getRewriteLargeUpdateCounts()

  Specified by:
    `getRewriteLargeUpdateCounts` in interface `CmdInformation`

### addSuccessStat

    public void addSuccessStat(long updateCount,
                               long insertId)

  Specified by:
    `addSuccessStat` in interface `CmdInformation`

Copyright © 2017. All rights reserved.